# Package org.vertx.java.core.file

Interface Summary
Interface | Description
--- | ---
AsyncFile | Represents a file on the file-system which can be read from, or written to asynchronously.
FileSystem | Contains a broad set of operations for manipulating files.

Class Summary
Class | Description
--- | ---
FileProps | Represents properties of a file on the file system
FileSystemProps | Represents properties of the file system

Exception Summary
Exception | Description
--- | ---
FileSystemException | Exception thrown by the FileSystem class